pull-lp-source crashed with ValueError in raw_decode(): Expecting object: line 1 column 5 (char 5)

Bug #1059848 reported by Nicolas DERIVE on 2012-10-01
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-dev-tools (Ubuntu)
Low
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

=== SRU ===
[IMPACT]
We use Debian's DDE service to resolve binary -> source packages. Occasionally it returns invalid data. We were already protecting against that in the almost-identical pull-debian-source, so this simply makes the same changes to pull-lp-source.

[Test case]
It's currently returning sane data, so this can't be tested. But pull-lp-source should still work.

[Regression potential]
This code path is only used when the user provided a name that wasn't a source package.

=== Bug Report ===
trying to download mysql-5.5, but mistakenly typed "mysql-server" I got this crash.

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: ubuntu-dev-tools 0.143
ProcVersionSignature: Ubuntu 3.5.0-16.25-generic 3.5.4
Uname: Linux 3.5.0-16-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.6.1-0ubuntu1
Architecture: i386
CheckboxSubmission: c4273c0f4f2b8d26cd6bf31cadfd2912
CheckboxSystem: a871981cb5bdf4d6ebd55be46becf77e
Date: Mon Oct 1 23:15:49 2012
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/pull-lp-source
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/pull-lp-source mysql-server precise
PythonArgs: ['/usr/bin/pull-lp-source', 'mysql-server', 'precise']
SourcePackage: ubuntu-dev-tools
Title: pull-lp-source crashed with ValueError in raw_decode(): Expecting object: line 1 column 5 (char 5)
UpgradeStatus: Upgraded to quantal on 2008-10-18 (1444 days ago)
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin netdev plugdev pulse pulse-access scanner tape users video

Nicolas DERIVE (kalon33) wrote :
tags: removed: need-duplicate-check
Changed in ubuntu-dev-tools (Ubuntu):
importance: Undecided → Medium
information type: Private → Public
Changed in ubuntu-dev-tools (Ubuntu):
status: New → Fix Committed
importance: Medium → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.144

---------------
ubuntu-dev-tools (0.144) experimental; urgency=low

  [ Stefano Rivera ]
  * Upload to experimental, due to the freeze
  * submittodebian:
    - Use dpkg-buildpackage instead of debuild. It really doesn't need to run
      lintian twice.
    - Use --include instead of --attach when not using reportbug's internal
      MUA.
  * submittodebian, sponsor-patch:
    - Pass --builder=dpkg-buildpackage to bzr bd, in case the user has
      configured a custom builder that doesn't do source builds (LP: #1019817)
  * seeded-in-ubuntu Inform the user when we couldn't determine binary
    packages built by a source package, as it most recently FTBFS.
  * requestbackport:
    - Avoid duplicate Reverse-Build-Deps when sources build binaries of the
      same name.
    - Explain that backports aren't to fix bugs.
  * sponsor-patch: Don't fall over bugs targetted at the development release
    (LP: #936014)
  * ubuntutools.question: Catch EOF and SIGINT on all input and bail out.
    (LP: #1037488)
  * pull-lp-source: Catch errors parsing JSON we got from DDE (LP: #1059848)
  * syncpackage, requestsync: Check the Release pocket if we can't find an
    Ubuntu package in the requested pocket. (LP: #1069867)

  [ Benjamin Drung ]
  * seeded-in-ubuntu: State in error message that it takes a source package.
    (LP: #1029155)
  * sponsor-patch: Fix crash if Debian patch contains a slash.

  [ Colin Watson ]
  * syncpackage: Default to <current_series>-proposed.

 -- Stefano Rivera <email address hidden> Mon, 29 Oct 2012 09:02:29 +0100

Changed in ubuntu-dev-tools (Ubuntu):
status: Fix Committed → Fix Released
description: updated

Hello Nicolas, or anyone else affected,

Accepted into quantal-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-dev-tools (Ubuntu Quantal):
status: New → Fix Committed
tags: added: verification-needed
Stefano Rivera (stefanor) wrote :

Verified that pull-lp-source works. This bug currently isn't manifesting server-side, so that's enough for me.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.143ubuntu0.1

---------------
ubuntu-dev-tools (0.143ubuntu0.1) quantal-proposed; urgency=low

  * Cherry-pick some important improvements from 0.144:
    - The Proposed pocket is now the target for all uploads:
      + syncpackage: Default to <current_series>-proposed.
      + syncpackage, requestsync: Check the Release pocket if we can't find an
        Ubuntu package in the requested pocket. (LP: #1069867)
    - pull-lp-source: Catch errors parsing JSON we got from DDE (LP: #1059848)
    - requestbackport: Explain that backports aren't to fix bugs.
    - sponsor-patch: Don't fall over bugs targetted at the development release
      (LP: #936014)
 -- Stefano Rivera <email address hidden> Mon, 29 Oct 2012 16:48:47 +0100

Changed in ubuntu-dev-tools (Ubuntu Quantal):
status: Fix Committed → Fix Released

Hello Nicolas, or anyone else affected,

Accepted ubuntu-dev-tools into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-dev-tools/0.141ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-dev-tools (Ubuntu Precise):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed

The fix for this bug has been awaiting testing feedback in the -proposed repository for precise for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
Benjamin Drung (bdrung) wrote :

I have tested pull-lp-source and it still works in all my test case. Therefore I set verification-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.141ubuntu0.1

---------------
ubuntu-dev-tools (0.141ubuntu0.1) precise-proposed; urgency=low

  * Cherry-pick some bug fixes from 0.142-0.145:
    - syncpackage: Default to <current_series>-proposed.
    - syncpackage, requestsync: Check the Release pocket if we can't find an
      Ubuntu package in the requested pocket. (LP: #1069867)
    - pull-lp-source: Catch errors parsing JSON we got from DDE (LP: #1059848)
    - sponsor-patch: Don't fall over bugs targeted at the development release
      (LP: #936014)
    - requestsync: We now sync to proposed (LP: #1073060)
    - syncpackage: syncpackage: Don't throw away release pockets, returning
      correct errors when the source and destination match even though the
      destination release pocket doesn't.
 -- Stefano Rivera <email address hidden> Wed, 07 Nov 2012 23:24:56 +0200

Changed in ubuntu-dev-tools (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers